"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const util = __importStar(require("util"));
exports.isColumnRef = (node) => "ColumnRef" in node;
exports.isCommonTableExpr = (node) => "CommonTableExpr" in node;
exports.isParamRef = (node) => "ParamRef" in node;
exports.isPgString = (node) => "String" in node;
exports.isRelationRef = (node) => "RangeVar" in node;
exports.isResTarget = (node) => "ResTarget" in node;
exports.isSelectStmt = (node) => "SelectStmt" in node;
exports.isStar = (node) => "A_Star" in node;
function getNodeType(node) {
    const topLevelKeys = Object.keys(node);
    if (topLevelKeys.length !== 1) {
        throw new Error(`Expected object to be a node and thus have one property with key=<node-type> only. Got keys: ${topLevelKeys.join(", ")}\n` + `Node: ${util.inspect(node)}`);
    }
    return topLevelKeys[0];
}
exports.getNodeType = getNodeType;
