"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function flatMap(elements, mapper) {
    return elements.reduce((flattened, element) => [...flattened, ...mapper(element)], []);
}
function getAllSubqueries(query) {
    return flatMap(query.subqueries, subquery => 
    // Order is important here: Deepest first
    [...getAllSubqueries(subquery), subquery]);
}
exports.getAllSubqueries = getAllSubqueries;
